This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 251680 - Review Request: amtterm - Serial-over-lan (sol) client for Intel AMT
Review Request: amtterm - Serial-over-lan (sol) client for Intel AMT
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 07:57 EDT by Gerd Hoffmann
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 08:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lutter: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2007-08-10 07:57:36 EDT
Spec URL: http://kraxel.fedorapeople.org/amtterm/amtterm.spec
SRPM URL: http://kraxel.fedorapeople.org/amtterm/amtterm-0.1-1.fc7.src.rpm
Description: Serial-over-lan (sol) client for Intel AMT.

fc7 (scratch) builds are here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=95723
Comment 1 Gerd Hoffmann 2007-08-15 06:52:11 EDT
Updated to version 0.2.
SRPM: http://kraxel.fedorapeople.org/amtterm/amtterm-0.2-1.fc7.src.rpm
Spec: same as above.
Comment 2 Gerd Hoffmann 2007-08-16 11:38:42 EDT
Updated to version 0.3.
Comment 3 David Lutterkort 2007-08-20 18:24:57 EDT
Review (based on 0.4 srpm/spec):

OK - Naming, versioning, sources identical with upstream
OK - Package builds in rawhide/fc7/fc6 buildroot
OK - spec file is sane

FIX - License tag is ok, but there's no license text anywhere. At the least,
include an appropriate copy of the GPLv2 as %doc; even better if the source
files have a header that gives the license/copyright, too. (In general, we defer
to upstream on these issues, but since you are upstream, it would be good to fix
that)
FIX - rpmlint complains about missing 'rm -rf %{buildroot}' in %install
FIX - Source should point to full URL for downloading the source tarball, i.e.
http://dl.bytesex.org/releases/%{name}/%{name}-%{version}.tar.gz
FIX - Remove the 'Autoreqprov' line from the specfile; AFAIK, not needed for Fedora

Apart from these cosmetic fixes, looks good.
Comment 4 Gerd Hoffmann 2007-08-21 10:16:27 EDT
New release 0.5 and new package uploaded to
http://kraxel.fedorapeople.org/amtterm/
Comment 5 David Lutterkort 2007-08-21 14:18:58 EDT
APPROVED.

One minor misunderstanding: the 'Source' tag in the specfile should have the
full URL to the source tarball (what's in the 'URL' tag right now). The 'URL'
field generally should point to a project page or similar (since amtterm doesn't
have one, leaving it as-is is fine)


Please request CVS branches following
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure and close
this bug as RAWHIDE when it's been imported.
Comment 6 David Lutterkort 2007-08-21 14:19:34 EDT
Oops .. fatfingered status
Comment 7 Gerd Hoffmann 2007-08-22 04:23:12 EDT
New Package CVS Request
=======================
Package Name: amtterm
Short Description: Serial-over-lan (sol) client for Intel AMT.
Owners: kraxel
Branches: F-7 EL-5
Cvsextras Commits: yes
Comment 8 Gerd Hoffmann 2007-08-23 08:19:38 EDT
package committed to cvs and built.

Note You need to log in before you can comment on or make changes to this bug.